Package fr.gouv.vitam.common.model.rules

# Class InheritedRuleResponseModel

java.lang.Object
fr.gouv.vitam.common.model.rules.BaseInheritedResponseModel
fr.gouv.vitam.common.model.rules.InheritedRuleResponseModel

public class InheritedRuleResponseModel extends BaseInheritedResponseModel
Pojo for computed inherited rule

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InheritedRuleResponseModel()`
  `InheritedRuleResponseModel(String unitId, String originatingAgency, List<List<String>> paths, String ruleId, Map<String,Object> extendedRuleAttributes)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEndDate()`
  `Map<String,Object>`
  `getExtendedRuleAttributes()`
  `String`
  `getRuleId()`
  `String`
  `getStartDate()`
  `void`
  `setAny(String key, Object value)`
  `void`
  `setEndDate(String endDate)`
  `void`
  `setRuleId(String ruleId)`
  `void`
  `setStartDate(String startDate)`

  ### Methods inherited from class fr.gouv.vitam.common.model.rules.BaseInheritedResponseModel

  `getOriginatingAgency, getPaths, getUnitId, setOriginatingAgency, setPaths, setUnitId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InheritedRuleResponseModel

    public InheritedRuleResponseModel()

  - ### InheritedRuleResponseModel

    public InheritedRuleResponseModel(String unitId, String originatingAgency, List<List<String>> paths, String ruleId, Map<String,Object> extendedRuleAttributes)

- ## Method Details

  - ### getExtendedRuleAttributes

    public Map<String,Object> getExtendedRuleAttributes()

  - ### setAny

    public void setAny(String key, Object value)

  - ### getRuleId

    public String getRuleId()

  - ### setRuleId

    public void setRuleId(String ruleId)

  - ### getStartDate

    public String getStartDate()

  - ### setStartDate

    public void setStartDate(String startDate)

  - ### getEndDate

    public String getEndDate()

  - ### setEndDate

    public void setEndDate(String endDate)